summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Fernando Lopez Jr2017-03-07 17:36:14 +0100
committer Willy Sudiarto Raharjo2017-03-11 01:03:47 +0100
commitb611960263dc0157555a5eb50c7986e86db98a8a (patch)
treeac568654178b9309638fe5a9820b702c8403832f
parentbaa4539d3bf19d4ce09f78a862e52608ee917c18 (diff)
downloadslackbuilds-b611960263dc0157555a5eb50c7986e86db98a8a.tar.gz
development/arm-binutils: Added (Cross compiling binutils for ARM).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--development/arm-binutils/README4
-rw-r--r--development/arm-binutils/arm-binutils.SlackBuild135
-rw-r--r--development/arm-binutils/arm-binutils.info10
-rw-r--r--development/arm-binutils/slack-desc19
4 files changed, 168 insertions, 0 deletions
diff --git a/development/arm-binutils/README b/development/arm-binutils/README
new file mode 100644
index 0000000000..b392fdc0d2
--- /dev/null
+++ b/development/arm-binutils/README
@@ -0,0 +1,4 @@
+This package contains cross compiling version of GNU binutils, which can be
+used to assemble and link binaries for the ARM platform.
+
+cpu arch: cortex-m4
diff --git a/development/arm-binutils/arm-binutils.SlackBuild b/development/arm-binutils/arm-binutils.SlackBuild
new file mode 100644
index 0000000000..53d2033179
--- /dev/null
+++ b/development/arm-binutils/arm-binutils.SlackBuild
@@ -0,0 +1,135 @@
+#!/bin/sh
+
+# Slackware build script for arm-binutils
+
+# Copyright 2017 Fernando Lopez Jr. <fernando.lopezjr@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# based on the work of:
+# Marek Buras <cyfr0n (at) go2 !dot pl>,
+# Vliegendehuiskat <vliegendehuiskat [at] gmail [dot] com> and
+# Claudio Henrique Fortes Felix <felix.claudio [at] gmail [dot] com>.
+
+PRGNAM=arm-binutils
+VERSION=${VERSION:-2.25}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf binutils-$VERSION
+tar xvf $CWD/binutils-$VERSION.tar.bz2
+cd binutils-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --infodir=/usr/info \
+ --mandir=/usr/man \
+ --disable-nls \
+ --disable-werror \
+ --target=arm-none-eabi \
+ --with-gnu-ld \
+ --with-gnu-as \
+ --with-dwarf2 \
+ --with-cpu=cortex-m4 \
+ --with-fpu=fpv4-sp-d16 \
+ --with-float=hard \
+ --with-mode=thumb \
+ --enable-interwork \
+ --enable-multilib \
+ --enable-install-libbfd \
+ --enable-ld=default \
+ --enable-gold \
+ --enable-plugins \
+ --enable-threads \
+ --with-pic \
+ --enable-shared \
+ --enable-multilib \
+ --program-prefix="arm-none-eabi-" \
+ --program-suffix="" \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+# Remove useless stuff
+rm -rf $PKG/usr/lib${LIBDIRSUFFIX}
+rm -rf $PKG/usr/info
+rm -f $PKG/usr/man/man1/arm-none-eabi-dlltool.1
+rm -f $PKG/usr/man/man1/arm-none-eabi-nlmconv.1
+rm -f $PKG/usr/man/man1/arm-none-eabi-windres.1
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING* ChangeLog MAINTAINERS README* \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/arm-binutils/arm-binutils.info b/development/arm-binutils/arm-binutils.info
new file mode 100644
index 0000000000..e3ccc9c802
--- /dev/null
+++ b/development/arm-binutils/arm-binutils.info
@@ -0,0 +1,10 @@
+PRGNAM="arm-binutils"
+VERSION="2.25"
+HOMEPAGE="http://www.gnu.org/software/binutils"
+DOWNLOAD="https://ftp.gnu.org/gnu/binutils/binutils-2.25.tar.bz2"
+MD5SUM="d9f3303f802a5b6b0bb73a335ab89d66"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Fernando Lopez Jr."
+EMAIL="fernando.lopezjr@gmail.com"
diff --git a/development/arm-binutils/slack-desc b/development/arm-binutils/slack-desc
new file mode 100644
index 0000000000..c0047944af
--- /dev/null
+++ b/development/arm-binutils/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+arm-binutils: arm-binutils (Cross compiling binutils for the ARM platform)
+arm-binutils:
+arm-binutils: This package contains cross compiling version of GNU binutils,
+arm-binutils: which can be used to assemble and link binaries for the ARM
+arm-binutils: platform.
+arm-binutils:
+arm-binutils:
+arm-binutils:
+arm-binutils:
+arm-binutils:
+arm-binutils: